Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Private Member Functions | Private Attributes | List of all members
eZ\Publish\Core\MVC\Symfony\Security\Authentication\RepositoryAuthenticationProvider Class Reference
Inheritance diagram for eZ\Publish\Core\MVC\Symfony\Security\Authentication\RepositoryAuthenticationProvider:

## Public Member Functions
| setConstantAuthTime (float $constantAuthTime)
| setRepository (Repository $repository)
| authenticate (TokenInterface $token)

## Private Member Functions
| startConstantTimer ()
| sleepUsingConstantTimer (float $startTime)

## Private Attributes
| $constantAuthTime
| $repository

## Detailed Description

Definition at line 20 of file RepositoryAuthenticationProvider.php.

## Member Function Documentation

## ◆ authenticate()

eZ\Publish\Core\MVC\Symfony\Security\Authentication\RepositoryAuthenticationProvider::authenticate | ( | TokenInterface | $token | ) |

Definition at line 69 of file RepositoryAuthenticationProvider.php.

References eZ\Publish\Core\MVC\Symfony\Security\Authentication\RepositoryAuthenticationProvider\sleepUsingConstantTimer(), and eZ\Publish\Core\MVC\Symfony\Security\Authentication\RepositoryAuthenticationProvider\startConstantTimer().

## ◆ setConstantAuthTime()

eZ\Publish\Core\MVC\Symfony\Security\Authentication\RepositoryAuthenticationProvider::setConstantAuthTime | ( | float | $constantAuthTime | ) |

Definition at line 30 of file RepositoryAuthenticationProvider.php.

References eZ\Publish\Core\MVC\Symfony\Security\Authentication\RepositoryAuthenticationProvider\$constantAuthTime.

## ◆ setRepository()

eZ\Publish\Core\MVC\Symfony\Security\Authentication\RepositoryAuthenticationProvider::setRepository | ( | Repository | $repository | ) |

Definition at line 35 of file RepositoryAuthenticationProvider.php.

References eZ\Publish\Core\MVC\Symfony\Security\Authentication\RepositoryAuthenticationProvider\$repository.

## ◆ sleepUsingConstantTimer()

eZ\Publish\Core\MVC\Symfony\Security\Authentication\RepositoryAuthenticationProvider::sleepUsingConstantTimer | ( | float | $startTime | ) |
| private

Definition at line 90 of file RepositoryAuthenticationProvider.php.

References eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Compiler\SecurityPass\CONSTANT_AUTH_TIME_SETTING.

Referenced by eZ\Publish\Core\MVC\Symfony\Security\Authentication\RepositoryAuthenticationProvider\authenticate().

## ◆ startConstantTimer()

eZ\Publish\Core\MVC\Symfony\Security\Authentication\RepositoryAuthenticationProvider::startConstantTimer | ( |  | ) |
| private

Definition at line 85 of file RepositoryAuthenticationProvider.php.

Referenced by eZ\Publish\Core\MVC\Symfony\Security\Authentication\RepositoryAuthenticationProvider\authenticate().

## Member Data Documentation

## ◆ $constantAuthTime

eZ\Publish\Core\MVC\Symfony\Security\Authentication\RepositoryAuthenticationProvider::$constantAuthTime
| private

Definition at line 25 of file RepositoryAuthenticationProvider.php.

Referenced by eZ\Publish\Core\MVC\Symfony\Security\Authentication\RepositoryAuthenticationProvider\setConstantAuthTime().

## ◆ $repository

eZ\Publish\Core\MVC\Symfony\Security\Authentication\RepositoryAuthenticationProvider::$repository
| private

Definition at line 28 of file RepositoryAuthenticationProvider.php.

Referenced by eZ\Publish\Core\MVC\Symfony\Security\Authentication\RepositoryAuthenticationProvider\setRepository().

The documentation for this class was generated from the following file:

- RepositoryAuthenticationProvider.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.